public class Person2{
  // Instansvariabler: alla objekt av typ Person har dessa värden.
  // Vi deklarerar dem "private" så de inte går att ändra hur som helst
  // utanför klassen.
  private String förnamn;
  private String efternamn;
  private int ålder;
  private double längd;
  private double vikt;

  // Konstruktor-metod: Skapar nya objekt av typ Person.
  public Person2(String fnamn, String enamn, int å, double l, double v){
    förnamn = fnamn;
    efternamn = enamn;
    ålder = å;
    längd = l;
    vikt = v;
  }
  // Det går att ha flera konstruktorer om de tar olika argument.
  public Person2(String förnamn, String efternamn){
    // "this" används för att förtydliga att det gäller instansvariabeln
    // till skillnad mot konstruktor metodens argument, när båda har samma namn.
    this.förnamn = förnamn;
    this.efternamn = efternamn;
    ålder = -1; längd = -1; vikt = -1; //Representerar okänd ålder, längd och vikt.
  }

  // En instansmetod: Beräkna body-mass-index på ett objekt av typ Person.
  public double bmi(){
    return vikt/(längd*längd);
  }

  // Vi måste nu använda getters/setters för att läsa av/ändra instansvariabler
  public void setLängd(double nylängd){
  // enkel “sanity check”, folk är mellan (säg) 0.3-3m.
    if(0.3 <= nylängd && nylängd <= 3.0)
      längd = nylängd;
    else
      System.out.println("Längd ska anges i meter. Ej godkänt värde");
  }

  // Returnera längden.
  public double getLängd(){
    return längd;
  }
  // Övning: Skriv getters och setters för övriga instansvariabler!

}
