public class Person3{
  // Klassvariabler: delas av alla objekt/metoder
  private static double minLängd = 0.3;
  private static double maxLängd = 3.0;

  // Klassmetoder (statiska). Refererar inte till något objekt.
  public static double getMinLängd(){return minLängd;}
  public static double getMaxLängd(){return maxLängd;}

  // Instansvariabler: alla objekt av typ Person har en uppsättning av dessa värden.
  // Vi deklarerar dem "private" så de inte går att ändra hur som helst
  // utanför klassen.
  private String förnamn;
  private String efternamn;
  private int ålder;
  private double längd;
  private double vikt;

  // Konstruktor-metod: Skapar nya objekt av typ Person.
  public Person3(String fnamn, String enamn, int å, double l, double v){
    förnamn = fnamn;
    efternamn = enamn;
    ålder = å;
    vikt = v;
    if(minLängd <= l && l <= maxLängd)
      längd = l;
    else längd = -1;
  }
  // Det går att ha flera konstruktorer om de tar olika argument.
  public Person3(String förnamn, String efternamn){
    // "this" används för att förtydliga att det gäller instansvariabeln
    // till skillnad mot konstruktor metodens argument, när båda har samma namn.
    this.förnamn = förnamn;
    this.efternamn = efternamn;
    ålder = -1; längd = -1; vikt = -1; //Representerar okänd ålder, längd och vikt.
  }

  // En instansmetod: Beräkna body-mass-index på ett objekt av typ Person.
  public double bmi(){
    return vikt/(längd*längd);
  }

  // Vi måste nu använda getters/setters för att läsa av/ändra instansvariabler
  public void setLängd(double nylängd){
    if(minLängd <= nylängd && nylängd <= maxLängd)
      längd = nylängd;
    else
      System.out.println("Längd ska anges i meter. Ej godkänt värde.");
  }

  // Returnera längden.
  public double getLängd(){
    return längd;
  }
  // Övning: Skriv getters och setters för övriga instansvariabler!
  // Lägg till rimliga spann på tillåtna värden.

}
